/* SECTION 1 (understanding child custody law in india) */
.custody-container {
  width: 100%;
  padding: 0 32px;
}

.custody-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
  padding-top: 50px;
  position: relative;
}

.custody-plus-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 40px;
  right: 35%;
}

.custody-content {
  max-width: 606px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.custody-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.custody-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 470px;
}

.custody-point-list {
  display: flex;
  gap: 30px;
}

.custody-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.custody-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.custody-point-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: fit-content;
}

.custody-image-main {
  display: flex;
  justify-content: center;
  align-items: center;
}

.custody-image-main img {
  max-width: 334px;
  width: 100%;
  min-width: 328px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1100px) {
  .custody-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1023.98px) {
  .custody-container {
    padding: 0 20px;
  }

  .custody-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .custody-plus-deco {
    right: 0;
  }

  .custody-content {
    max-width: 100%;
    align-items: center;
  }

  .custody-head-para {
    max-width: 100%;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .custody-head-para p {
    max-width: 669px;
  }

  .custody-head {
    max-width: 100%;
  }

  .custody-image-main img {
    min-width: unset;
  }
}

@media (max-width: 640.98px) {
  .custody-container {
    padding: 0 16px;
  }

  .custody-wrapper {
    padding: 50px 0;
    padding-top: 35px;
  }

  .custody-plus-deco img {
    width: 30px;
    height: 30px;
  }

  .custody-point-list {
    flex-direction: column;
    gap: 13px;
  }

  .custody-point-column {
    gap: 13px;
  }
}

/* SECTION 2 (Custody rights of mothers) */
.mothers-container {
  width: 100%;
  padding: 0 40px;
  background-color: var(--color-light-red);
}

.mothers-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.mothers-image-layout {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 459px;
}

.mothers-image-main {
  display: flex;
  justify-content: center;
  align-items: center;
}

.mothers-image-main img {
  max-width: 443px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.mothers-experience-card {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: -76px;
  margin-top: 100px;
}

.mothers-content {
  max-width: 562px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.mothers-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.mothers-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.mothers-head-para p {
  max-width: 500px;
}

.mothers-point-list {
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
}

.mothers-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.mothers-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1023.98px) {
  .mothers-container {
    padding: 0 20px;
  }

  .mothers-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .mothers-content {
    max-width: 100%;
    align-items: center;
  }

  .mothers-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .mothers-head-para p {
    max-width: 557px;
  }
}

@media (max-width: 640.98px) {
  .mothers-container {
    padding: 0 16px;
  }

  .mothers-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .mothers-point-list {
    flex-direction: column;
    flex-wrap: unset;
    gap: 13px;
  }

  .mothers-image-layout {
    min-width: unset;
  }

  .mothers-experience-card img {
    max-width: 160px;
    width: 100%;
    height: auto;
    object-fit: contain;
  }
}

/* SECTION 3 (court consider in custody cases) */
.cases-container {
  width: 100%;
  padding: 0 39px;
}

.cases-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
  position: relative;
}

.cases-body-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 72px;
  left: 37%;
}

.cases-body-deco img {
  max-width: 141px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.cases-content {
  max-width: 594px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.cases-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.cases-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.cases-point-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.cases-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.cases-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.cases-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.cases-image img {
  max-width: 541px;
  width: 100%;
  min-width: 467px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1140px) {
  .cases-wrapper {
    gap: 50px;
  }

  .cases-head {
    max-width: 333px;
  }
}

@media (max-width: 1023.98px) {
  .cases-container {
    padding: 0 20px;
  }

  .cases-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .cases-body-deco {
    bottom: unset;
    left: unset;
    top: 40%;
    transform: translateY(-50%);
    right: 0;
  }

  .cases-body-deco img {
    max-width: 89px;
  }

  .cases-content {
    max-width: 100%;
    align-items: center;
  }

  .cases-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .cases-head {
    max-width: 100%;
  }

  .cases-head-para p {
    max-width: 557px;
  }
}

@media (max-width: 640.98px) {
  .cases-container {
    padding: 0 16px;
  }

  .cases-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .cases-head {
    gap: 1px;
  }

  .cases-body-deco img {
    max-width: 49px;
  }

  .cases-image img {
    min-width: unset;
  }
}

@media (max-width: 480px) {
  .cases-body-deco {
    top: 50%;
  }
}

@media (max-width: 400px) {
  .cases-body-deco {
    top: 55%;
  }
}

/* SECTION 4 (different child custody) */
.types-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-red);
}

.types-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.types-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.types-card-list {
  width: 100%;
  display: flex;
  gap: 19px;
}

.types-card {
  max-width: 400px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 44px 35px;
  border-radius: 8px;
  background-color: var(--color-white);
  color: #0d0e10;
}

.types-card-inner {
  max-width: 281px;
  display: flex;
  flex-direction: column;
  gap: 26px;
}

.types-card-icon {
  width: 80px;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffbcdf;
  flex-shrink: 0;
}

.types-card-content {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.types-card.active {
  background-color: var(--color-red);
  color: var(--color-white);
}

.types-card.active > .types-card-inner > .types-card-icon {
  background-color: var(--color-white);
}

.types-card.active > .types-card-inner > .types-card-content h3 {
  color: var(--color-white);
}

@media (max-width: 1100px) {
  .types-card-list {
    gap: 30px;
  }

  .types-card {
    padding: 41px 16px;
  }
}

@media (max-width: 1023.98px) {
  .types-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .types-head {
    max-width: 481px;
  }

  .types-card-list {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }
}

@media (max-width: 640.98px) {
  .types-container {
    padding: 0 16px;
  }

  .types-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .types-card-list {
    padding: 0 10px;
  }

  .types-card {
    padding: 25px 18px;
  }
}

/* SECTION 5 (Child Maintenance and financial support) */
.child-container {
  width: 100%;
  padding: 0 36px;
}

.child-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
  position: relative;
}

.child-checker-deco-img {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 90px;
  right: 10%;
}

.child-image-layout {
  display: flex;
  flex-direction: column;
  min-width: 372px;
}

.child-image-top {
  display: flex;
  align-items: center;
  margin-bottom: -78px;
}

.child-image-top img {
  max-width: clamp(300px, 30.9vw, 395px);
  width: 100%;
  height: auto;
  object-fit: cover;
}

.child-image-bottom {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 2px;
}

.child-image-small {
  display: flex;
  justify-content: center;
  align-items: center;
}

.child-image-small img {
  max-width: 126px;
  width: 100%;
  height: auto;
  min-width: 96px;
  object-fit: cover;
  margin-bottom: 10px;
}

.child-image-large {
  display: flex;
  justify-content: center;
  align-items: center;
}

.child-image-large img {
  max-width: 372px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.child-content {
  max-width: 610px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.child-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.child-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.child-head-para p {
  padding-right: 5px;
}

.child-support-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}

.child-support-item {
  max-width: 285px;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px 19px;
  border-radius: 16px;
  border: 2px solid #ffe5f3;
}

@media (max-width: 1245px) {
  .child-image-top {
    margin-bottom: -60px;
  }
}

@media (max-width: 1145px) {
  .child-image-top {
    margin-bottom: -50px;
  }

  .child-checker-deco-img {
    right: 2%;
    bottom: 50px;
  }

  .child-image-top img {
    max-width: 300px;
  }

  .child-support-list {
    gap: 30px 21px;
  }

  .child-support-item {
    padding: 10px 17px;
  }
}

@media (max-width: 1023.98px) {
  .child-container {
    padding: 0 20px;
  }

  .child-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .child-checker-deco-img {
    display: none;
    pointer-events: none;
  }

  .child-image-layout {
    max-width: 372px;
    min-width: unset;
  }

  .child-content {
    max-width: 100%;
    align-items: center;
  }

  .child-head-para {
    max-width: 708px;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .child-support-list {
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .child-support-item {
    max-width: 222px;
    padding: 10px;
    gap: 10px;
  }

  .child-support-icon img {
    width: 50px;
    height: 50px;
  }
}

@media (max-width: 760px) {
  .child-support-list {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .child-support-item {
    max-width: 235px;
  }
}

@media (max-width: 640.98px) {
  .child-container {
    padding: 0 16px;
  }

  .child-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .child-head {
    gap: 1px;
  }
}

@media (max-width: 480px) {
  .child-image-layout {
    max-width: 312px;
  }

  .child-image-bottom {
    gap: 0;
  }

  .child-image-top img {
    max-width: 242px;
    margin-bottom: 14px;
  }

  .child-image-small img {
    min-width: unset;
    max-width: 81px;
  }

  .child-image-large img {
    max-width: 215px;
  }
}

/* SECTION 7 (what to expect during Court Process) */
.during-container {
  width: 100%;
  padding: 0 30px;
  background-color: var(--color-light-red);
}

.during-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(50px, 6.25vw, 80px);
  padding: 80px 0;
  position: relative;
}

.during-body-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 117px;
  left: 35%;
}

.during-body-deco img {
  max-width: 47px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.during-content {
  max-width: 504px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.during-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.during-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.during-cta-btn {
  background-color: var(--color-red);
  color: var(--color-white);
}

.during-card-list {
  max-width: 638px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  flex-shrink: 0;
}

.during-card {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
  padding: 16px 28px;
  background-color: var(--color-white);
  border-radius: 4px;
  border: 1px solid #ffe5f3;
}

.during-card-number {
  width: 92px;
  height: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  position: relative;
  font-size: 32px;
  line-height: 42px;
  font-weight: 600;
  color: var(--color-white);
  background-image: url(../../assets/images/court-process-card-icon-bg-img.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.during-card-content {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.during-card-list > .during-card:first-child > .during-card-content p {
  max-width: 211px;
}

@media (max-width: 1210px) {
  .during-wrapper {
    gap: 50px;
  }

  .during-card-list {
    gap: 30px 13px;
    flex-shrink: unset;
    min-width: 521px;
  }

  .during-card {
    padding: 24px 18px;
  }
}

@media (max-width: 1023.98px) {
  .during-container {
    padding: 0 20px;
  }

  .during-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
    flex-direction: column;
  }

  .during-body-deco {
    right: 0;
    top: 30px;
    left: unset;
  }

  .during-content {
    max-width: 100%;
    align-items: center;
  }

  .during-head-para {
    max-width: 708px;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .during-card-list {
    max-width: 630px;
  }

  .during-card {
    padding: 16px 21px;
  }

  .during-card-list > .during-card:first-child > .during-card-content p {
    max-width: 217px;
  }
}

@media (max-width: 680px) {
  .during-card-list {
    min-width: unset;
    grid-template-columns: 1fr;
    place-items: center;
  }
}

@media (max-width: 640.98px) {
  .during-container {
    padding: 0 16px;
  }

  .during-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}

/* SECTION 7 (Importatnt thingsmothers should know) */
.important-container {
  width: 100%;
  padding: 0 25px;
}

.important-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.important-content {
  max-width: 578px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.important-point-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.important-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 17px 19px;
  border-radius: 16px;
  border: 2px solid #ffe5f3;
  transition: all 0.2s ease;
  cursor: default;
}

.important-point-item p {
  color: #0d0e10;
}

.important-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 54px;
  height: 54px;
  flex-shrink: 0;
  border-radius: 50%;
  background-color: #ffbcdf;
}

.important-point-content {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.important-point-item:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transform: translateY(-5px);
  box-shadow: 2px 2px 9px rgba(0, 0, 0, 0.25);
}

.important-point-item:hover > .important-point-content h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.important-point-item:hover > .important-point-content p {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.important-image-layout {
  max-width: 505px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.important-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 460px;
}

.important-image {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  position: relative;
}

.important-image img {
  max-width: 453px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.important-like-badge {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 113px;
  margin-right: -80px;
  z-index: 5;
}

.important-like-badge img {
  max-width: 132px;
  width: 100%;
  min-width: 106px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1100px) {
  .important-wrapper {
    gap: 50px;
  }

  .important-image img {
    max-width: 380px;
  }

  .important-like-badge {
    margin-right: -54px;
  }
}

@media (max-width: 1023.98px) {
  .important-container {
    padding: 0 20px;
  }

  .important-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .important-image-layout {
    align-items: center;
    max-width: 100%;
  }

  .important-head {
    max-width: 100%;
    width: 100%;
    align-items: center;
    text-align: center;
  }

  .important-image {
    width: fit-content;
    justify-content: center;
  }

  .important-content {
    max-width: 590px;
    align-items: center;
  }

  .important-desc {
    text-align: center;
  }
}

@media (max-width: 640.98px) {
  .important-container {
    padding: 0 16px;
  }

  .important-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .important-image img {
    max-width: 300px;
  }
}
